### Hierarchy

- Session

## Index

### Constructors

- constructor

### Properties

- properties
- sessionId

### Methods

- generateToken
- getSessionId

## Constructors

### constructor

- new Session(hostname: string, port: number, basicAuth: string, properties?: SessionProperties): Session

- - Defined in Session.ts:35

  #### Parameters

  - ##### hostname: string

  - ##### port: number

  - ##### basicAuth: string

  - ##### Optional properties: SessionProperties

  #### Returns Session

## Properties

properties: SessionProperties

- Defined in Session.ts:33

### sessionId

sessionId: string

- Defined in Session.ts:32

## Methods

### generateToken

- generateToken(tokenOptions?: TokenOptions): Promise<string>

- - Defined in Session.ts:57

  Gets a new token associated to Session object

  #### Parameters

  - ##### Optional tokenOptions: TokenOptions

  #### Returns Promise<string>

  A Promise that is resolved to the token if success and rejected with an Error object if not

### getSessionId

- getSessionId(): string

- - Defined in Session.ts:48

  Gets the unique identifier of the Session

  #### Returns string

Generated using TypeDoc